# $Revision: 1.29 $, $Date: 2007/09/06 15:47:46 $
%define	_rn	x11-ssh-askpass
Summary:	OpenSSH X11 passphrase dialog
Summary(de.UTF-8):	OpenSSH X11 Passwort-Dialog
Summary(es.UTF-8):	Diálogo para introducción de passphrase para X11
Summary(fr.UTF-8):	Dialogue pass-phrase X11 d'OpenSSH
Summary(it.UTF-8):	Finestra di dialogo X11 per la frase segreta di OpenSSH
Summary(pl.UTF-8):	Odpytywacz hasła OpenSSH dla X11
Summary(pt.UTF-8):	Diálogo de pedido de senha para X11 do OpenSSH
Summary(pt_BR.UTF-8):	Diálogo para entrada de passphrase para X11
Summary(ru.UTF-8):	OpenSSH - диалог ввода ключевой фразы (passphrase) для X11
Summary(uk.UTF-8):	OpenSSH - діалог вводу ключової фрази (passphrase) для X11
Name:		openssh-x11-askpass
Version:	1.2.4.1
Release:	6
License:	Free
Group:		Applications/Networking
Source0:	http://www.jmknoble.net/software/x11-ssh-askpass/%{_rn}-%{version}.tar.gz
# Source0-md5:	8f2e41f3f7eaa8543a2440454637f3c3
URL:		http://www.jmknoble.net/software/x11-ssh-askpass/
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-proto-xproto-devel
Requires:	openssh
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdefsdir	%{_datadir}/X11/app-defaults

%description
This is an X11-based passphrase dialog for use with OpenSSH.

%description -l es.UTF-8
Este paquete contiene un programa que abre una caja de diálogo para
entrada de passphrase en X11.

%description -l pl.UTF-8
To jest bazujący na X11 odpytywacz hasła do użytku z OpenSSH.

%description -l pt_BR.UTF-8
Esse pacote contém um programa que abre uma caixa de diálogo para
entrada de passphrase no X11.

%description -l ru.UTF-8
Ssh (Secure Shell) - это программа для "захода" (login) на удаленную
машину и для выполнения команд на удаленной машине.

Этот пакет содержит диалог ввода ключевой фразы для использования под
X11.

%description -l uk.UTF-8
Ssh (Secure Shell) - це програма для "заходу" (login) до віддаленої
машини та для виконання команд на віддаленій машині.

Цей пакет містить діалог вводу ключової фрази для використання під
X11.

%prep
%setup -q -n %{_rn}-%{version}
rm -f Imakefile

%build
./configure \
	--libexecdir=%{_bindir} \
	--mandir=%{_mandir} \
	--with-app-defaults-dir=%{_appdefsdir}
xmkmf

%{__make} includes all \
	CC="%{__cc}" \
	CDEBUGFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%{_appdefsdir}/SshAskpass

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openssh-x11-askpass.spec,v $
Revision 1.29  2007/09/06 15:47:46  baggins
- rel 6
- updated for modular xorg

Revision 1.28  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.27  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.26  2004/04/06 09:50:03  adgor
- Fixed %%files

Revision 1.25  2004/04/05 22:13:58  adgor
- Reverted my last changes - this is wrong way - SSH_ASKPASS value
  shouldn't be set per host but per user

Revision 1.24  2004/04/04 11:46:41  adgor
- Typo

Revision 1.23  2004/04/04 11:34:41  adgor
- Added profile.d scripts
- Obsoletes openssh-gnome-askpass
- Release 4

Revision 1.22  2004/04/03 20:18:02  qboosh
- fixed appdefsdir and optflags, release 3 for Ac

Revision 1.21  2003/06/21 14:02:57  gotar
- new URL

Revision 1.20  2003/06/21 14:01:55  gotar
- fixed source

Revision 1.19  2003/05/28 13:00:09  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/01/18 22:54:55  juandon
- removed two lines with define

Revision 1.16  2002/07/03 19:38:13  qboosh
- added translations from openssh.spec
- release 2

Revision 1.15  2002/05/25 13:00:56  kloczek
- use new %doc.

Revision 1.14  2002/03/27 11:28:59  roman
s/free/Free in License

Revision 1.13  2002/02/23 04:17:25  kloczek
- adapterized.

Revision 1.12  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:14:07  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/11/23 12:36:46  qboosh
- s/Copyright/License/

Revision 1.9  2001/11/10 21:51:11  lukasz
- updated to 1.2.4.1

Revision 1.8  2001/05/02 16:29:12  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.7  2001/02/21 18:50:59  mis
update to 1.2.0

Revision 1.5  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.4  2000/06/18 10:00:58  kloczek
- fixed X resources path in %files.

Revision 1.3  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.2  2000/06/05 15:40:05  kloczek
- cosmetics.

Revision 1.1  2000/05/16 10:11:32  misiek
uses only x11 libraries
